Bug 235526 - astro/wmsun: change mastersite
Summary: astro/wmsun: change mastersite
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://reviews.freebsd.org/D19136
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-05 14:36 UTC by Marco Beishuizen
Modified: 2019-04-14 12:42 UTC (History)
2 users (show)

See Also:


Attachments
astro/wmsun: change mastersite (903 bytes, patch)
2019-02-05 14:36 UTC, Marco Beishuizen
no flags Details | Diff
wmsun-1.05.patch (5.47 KB, patch)
2019-03-17 16:37 UTC, Kai Knoblich
mbeis: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Beishuizen 2019-02-05 14:36:34 UTC
Created attachment 201765 [details]
astro/wmsun: change mastersite

Change mastersite because the old one has disappeared.
Comment 1 Kai Knoblich freebsd_committer 2019-03-17 16:37:54 UTC
Created attachment 202937 [details]
wmsun-1.05.patch

Hi Marco,

thank you for the patch. It took a while because some preparations had to be made. To keep it short:

- The 1.12 of astro/wmsun was an unofficial fork and that source has vanished now.
- The official upstream repository has a new home at: https://github.com/window-maker/dockapps/ (or https://www.dockapps.net/)
- The latest, official version of astro/wmsun is 1.05, so the patch "upgrades" it from 1.12 to 1.05.

The changelog can be retrieved at: https://github.com/window-maker/dockapps/blob/master/wmsun/ChangeLog

If this patch is ok for you, can you please approve it by setting the "?" flag to "+"?

Don't hesitate to ask if there any questions.
Comment 2 commit-hook freebsd_committer 2019-04-14 12:41:35 UTC
A commit references this bug:

Author: kai
Date: Sun Apr 14 12:40:57 UTC 2019
New revision: 498902
URL: https://svnweb.freebsd.org/changeset/ports/498902

Log:
  astro/wmsun: "Update" to 1.05 and return to official upstream repository

  While I'm here:
  * Add license information
  * Sort variables a bit according to the PHB

  This was initially a small patch that was meant to update the MASTER_SITES
  and the WWW field. [1] On further research it came to light that the
  previous version of astro/wmsun was a fork whose upstream sources are now
  gone.

  In the meantime there have been some recent activities regarding Window
  Maker dockapps and many of those programs were collected, updated and are
  maintained by the current Window Maker developers.

  Therefore the intial patch has been extended a bit to point to the new
  upstream location instead of using a semi-official location that could
  vanish in near future. [2]

  At last but not least: The program was renamed from "wmSun" to "wmsun" so
  there's a bit more churn than usual.

  https://github.com/window-maker/dockapps/blob/master/wmsun/ChangeLog

  PR:		235526
  Submitted by:	Marco Beishuzen (maintainer) [1]
  Approved by:	tcberner (mentor), maintainer [2]
  Differential Revision:	https://reviews.freebsd.org/D19136

Changes:
  head/astro/wmsun/Makefile
  head/astro/wmsun/distinfo
  head/astro/wmsun/files/patch-Makefile
  head/astro/wmsun/files/patch-wmSun.c
  head/astro/wmsun/files/patch-wmsun.c
  head/astro/wmsun/pkg-descr
Comment 3 Kai Knoblich freebsd_committer 2019-04-14 12:42:32 UTC
Committed, thank you for the patch and sorry when it took a bit longer than usual.